<?xml version="1.0"?>

<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

<ejb-jar>
	<enterprise-beans>
		<entity>
			<ejb-name>m05Departamento</ejb-name>
			<home>m05bDepartamentoEJB.m05DepartamentoHome</home>
			<remote>m05bDepartamentoEJB.m05Departamento</remote>
			<ejb-class>
				m05bDepartamentoEJB.m05DepartamentoBean
			</ejb-class>
			<persistence-type>Container</persistence-type>
			<prim-key-class>
				m05bDepartamentoEJB.m05DepartamentoPK
			</prim-key-class>
			<reentrant>False</reentrant>
			<cmp-field>
				<field-name>dep_codigo</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>dep_descripcion</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>dep_edescripcion</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>dep_cod_xlnet</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>dep_situacion</field-name>
			</cmp-field>
		</entity>
	</enterprise-beans>
	<assembly-descriptor>
		<container-transaction>
			<method>
				<ejb-name>m05Departamento</ejb-name>
				<!--method-intf>Remote</method-intf-->
				<method-name>*</method-name>
			</method>
			<trans-attribute>Required</trans-attribute>
		</container-transaction>
	</assembly-descriptor>
</ejb-jar>